package com.jwipc.inquiry.logic;

import com.jwipc.inquiry.dto.InquiryCostTemplateDTO;
import com.jwipc.inquiry.dto.InquiryTemplateDTO;
import com.jwipc.inquiry.dto.InquiryTemplateFieldDTO;
import com.jwipc.inquiry.model.query.InquiryCostTemplateQuery;
import com.jwipc.inquiry.model.query.InquiryTemplateFieldQuery;
import com.jwipc.inquiry.model.query.InquiryTemplateQuery;
import com.jwipc.page.PageView;

import java.util.List;

/**
 * @author shenyang.ou
 * @date 2024/2/4 19:51
 * @desc 询价成本报价模板
 */
public interface InquiryCostTemplateLogic {
    PageView findByPage(InquiryCostTemplateQuery query);

    InquiryCostTemplateDTO getById(Long id);

    void saveOrUpdate(InquiryCostTemplateDTO param);

    void updateDeleteFlag(Long id);

    List<InquiryCostTemplateDTO> listAll(InquiryCostTemplateQuery query);

    /**
     * 根据采购组编码获取成本模板且包含全部采购组
     * @param purchaseGroupCode 采购组编码
     */
    List<InquiryCostTemplateDTO> getAllListByPurchaseGroupCode(String purchaseGroupCode);
}
